## GDataGContactLanguage

GDataGContactLanguage — gContact language element

## Stability Level

Unstable, unless otherwise indicated

## Functions

GDataGContactLanguage * | gdata_gcontact_language_new ()
const gchar * | gdata_gcontact_language_get_code ()
void | gdata_gcontact_language_set_code ()
const gchar * | gdata_gcontact_language_get_label ()
void | gdata_gcontact_language_set_label ()

## Properties

gchar * | code | Read / Write
gchar * | label | Read / Write

## Types and Values

| GDataGContactLanguage
| GDataGContactLanguageClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGContactLanguage

## Implemented Interfaces

GDataGContactLanguage implements GDataComparable.

## Includes

    #include <gdata/gcontact/gdata-gcontact-language.h>

## Description

GDataGContactLanguage represents a "language" element from the

gContact specification.

## Functions

### gdata_gcontact_language_new ()

    GDataGContactLanguage *
    gdata_gcontact_language_new (const gchar *code,
                                 const gchar *label);

Creates a new GDataGContactLanguage. More information is available in the gContact specification.

Exactly one of `code` and `label` should be provided; the other must be `NULL`.

#### Parameters

code | the language code, or `NULL`. | [allow-none]
label | a free-form label for the language, or `NULL`. | [allow-none]

#### Returns

a new GDataGContactLanguage; unref with `g_object_unref()`

Since 0.7.0

### gdata_gcontact_language_get_code ()

    const gchar *
    gdata_gcontact_language_get_code (GDataGContactLanguage *self);

Gets the “code” property.

#### Parameters

self | a GDataGContactLanguage |

#### Returns

the language's code, or `NULL`

Since 0.7.0

### gdata_gcontact_language_set_code ()

    void
    gdata_gcontact_language_set_code (GDataGContactLanguage *self,
                                      const gchar *code);

Sets the “code” property to `code` .

If `code` is `NULL`, the code will be unset. When the GDataGContactLanguage is used in a query, however, exactly one of “code” and “label” must be `NULL`.

#### Parameters

self | a GDataGContactLanguage |
code | the new code for the language, or `NULL`. | [allow-none]

Since 0.7.0

### gdata_gcontact_language_get_label ()

    const gchar *
    gdata_gcontact_language_get_label (GDataGContactLanguage *self);

Gets the “label” property.

#### Parameters

self | a GDataGContactLanguage |

#### Returns

a free-form label for the language, or `NULL`

Since 0.7.0

### gdata_gcontact_language_set_label ()

    void
    gdata_gcontact_language_set_label (GDataGContactLanguage *self,
                                       const gchar *label);

Sets the “label” property to `label` .

If `label` is `NULL`, the label will be unset. When the GDataGContactLanguage is used in a query, however, exactly one of “code” and “label” must be `NULL`.

#### Parameters

self | a GDataGContactLanguage |
label | the new free-form label for the language, or `NULL`. | [allow-none]

Since 0.7.0

## Types and Values

### GDataGContactLanguage

    typedef struct _GDataGContactLanguage GDataGContactLanguage;

All the fields in the GDataGContactLanguage structure are private and should never be accessed directly.

Since 0.7.0

### GDataGContactLanguageClass

    typedef struct {
    } GDataGContactLanguageClass;

All the fields in the GDataGContactLanguageClass structure are private and should never be accessed directly.

Since 0.7.0

## Property Details

### The `“code”` property

      “code”                     gchar *

A code identifying the language, conforming to the IETF BCP 47 specification. It is mutually exclusive with “label”.

For more information, see the

gContact specification.

Flags: Read / Write

Default value: NULL

Since 0.7.0

### The `“label”` property

      “label”                    gchar *

A free-form string that identifies the language. It is mutually exclusive with “code”.

For more information, see the

gContact specification.

Flags: Read / Write

Default value: NULL

Since 0.7.0